


#ifndef _GRABBER_H
#define _GRABBER_H


#include "bttv.h"

#ifndef BTTV_DEV
#define BTTV_DEV "/dev/bttv"
#endif


#define DEFAULT_NORM 0
#define DEFAULT_STD 1
#define DEFAULT_SOURCE 1 

#define WIDTH   160
#define HEIGHT  120
#define BPP	1

#define CMD_GET		1
#define CMD_RESEND	2
#define CMD_CONTRAST	3
#define CMD_BRITE	4
#define CMD_SYNC	5
#define CMD_SOURCE	6
#define CMD_HUE		7
#define CMD_COLOR	8
#define CMD_FREQUENCY	9

#define PIC_SIZE (WIDTH*HEIGHT*BPP)

extern void read_picture(void);
extern void init_picture(void);
extern void done_picture(void);
extern void SetCtrl(long c,int j);

#ifdef MAIN_G
#define vextern
#else
#define vextern extern
#endif


//vextern int vid_norm;
//vextern int vid_std;
//vextern char *vid_buffer;
vextern unsigned char picture[PIC_SIZE];



#endif
