/* 
 * Thomas Pantzer: ppmcompress.h, v0.1b  23.4.98 14:36 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@aix520.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef PPMCOMPRESS_H
#define PPMCOMPRESS_H

extern "C" {

#include "jinclude.h"
#include "jpeglib.h"
#include "jversion.h"

};


extern jpeg_compress_struct *init_jpeg(int W, int H, int B,int q, int sm, J_DCT_METHOD m);
//extern void do_compress(jpeg_compress_struct *JCS, char *image_buffer);
extern void done_jpeg(jpeg_compress_struct *JCS);

#ifdef MAIN_G
#define vextern
#else
#define vextern extern
#endif


vextern jpeg_error_mgr		JE;
vextern jpeg_compress_struct	*JCS;

#undef vextern
#endif
