/* 
 * Thomas Pantzer: main.cc, v0.1b  23.4.98 14:36 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@aix520.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




//#include "forms.h"

#include <unistd.h>

#define MAIN_G

#include "netutils.h"
#include "capture.h"
#include "ppmcompress.h"


int main(int argc, char *argv[])
{
   int i,j,k;


   int port = 5432;
   char host[256] = "localhost";
   char st[256];

   port = GetTCPPort("webcamd");
      
   k = xcap_init();
   xcap_open(k,host,port);

#ifndef SINGLE_IMAGE
   fprintf(stdout,"HTTP/1.0 200 OK\n");
   fprintf(stdout,"Content-type: multipart/x-mixed-replace;boundary=Delimiter\n");
   fprintf(stdout,"\n");
   
   for (i=0; i<255; i++)
     {
     
      fprintf(stdout,"\n");
      fprintf(stdout,"--Delimiter\n");
#endif
      
      fprintf(stdout,"Content-type: image/jpeg\n");
      j = fprintf(stdout,"\n");

#ifndef SINGLE_IMAGE
      if (j <= 0)
          break;
#endif
          
      jpeg_start_compress(JCS,TRUE);
      
      while (Do_Capture() == false)
         usleep(100000);
         
      jpeg_finish_compress(JCS);   

#ifndef SINGLE_IMAGE
     }    

   fprintf(stdout,"--Delimiter--\n");
#endif
   
   xcap_exit();
}
